Module java.corba
Package org.omg.CORBA

## Class TRANSACTION_MODE

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.TRANSACTION_MODE

All Implemented Interfaces:
  Serializable

    public final class TRANSACTION_MODE
    extends SystemException

The CORBA `TRANSACTION_MODE` exception is thrown by the client ORB if it detects a mismatch between the InvocationPolicy in the IOR and the chosen invocation path (i.e, direct or routed invocation). It contains a minor code, which gives information about what caused the exception, and a completion status. It may also contain a string describing the exception. The OMG CORBA core 2.4 specification has details.

See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`TRANSACTION_MODE()` Constructs a `TRANSACTION_MODE` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`TRANSACTION_MODE(int minor, CompletionStatus completed)` Constructs a `TRANSACTION_MODE` exception with the specified minor code and completion status.
`TRANSACTION_MODE(String s)` Constructs a `TRANSACTION_MODE` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`TRANSACTION_MODE(String s, int minor, CompletionStatus completed)` Constructs a `TRANSACTION_MODE` exception with the specified description message, minor code, and completion status.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### TRANSACTION_MODE

    public TRANSACTION_MODE()

Constructs a `TRANSACTION_MODE` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

#### TRANSACTION_MODE

    public TRANSACTION_MODE(int minor,
                            CompletionStatus completed)

Constructs a `TRANSACTION_MODE` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

#### TRANSACTION_MODE

    public TRANSACTION_MODE(String s)

Constructs a `TRANSACTION_MODE` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

#### TRANSACTION_MODE

    public TRANSACTION_MODE(String s,
                            int minor,
                            CompletionStatus completed)

Constructs a `TRANSACTION_MODE` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - the minor code
  `completed` - the completion status